Dedicated IP-adressen
dedicated IP claimen
Claim een beheerde speciale IP.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
claim
dedicated IP claimen
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim"
payload = { "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({option_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Padparameters
Body
application/json
Aanvraag om een beheerd dedicated IP te claimen.
Respons
Speciale IP UUID
Voor de klant zichtbare speciale IP-naam
Inrichtings- of levenscyclusstatus
Speciaal toewijzingstype IP
Autonoom systeemnummer voor de toewijzing
ISO-landcode voor de toewijzing
Tijdstempel van creatie
Openbare adressen in deze toewijzing
Hide child attributes
Hide child attributes
Openbaar IP-adres
Of voorwaarts bevestigde achteruit DNS is geslaagd
Huidige gezondheidsstatus, indien beschikbaar
Keer de hostnaam DNS om indien geconfigureerd
Tijdstempel laatste update
Was deze pagina nuttig?
⌘I
dedicated IP claimen
